Loading...
Searching...
No Matches
RokuAppLaunchParams Struct Reference

Parameters for Roku app launch command. More...

`#include <rokuecp.h>`

## Public Types

enum | { FILM , SERIES , SEASON , EPISODE , SHORT_FORM_VIDEO , TV_SPECIAL , NO_TYPE }

## Data Fields

char | appID [14]
| ID of Roku app to launch, up to 13 characters.
char | contentID [256]
| Optional unique identifier for a specific piece of content (empty string if none) up to 255 characters.
enum RokuAppLaunchParams:: { ... } | mediaType
| Type of contentID (movie, TV show, season, episode, short-form video, TV special, or none).
const char ** | otherParamNames
| Array of names for other parameters to pass to app.
const char ** | otherParamValues
| Array of values for these extra parameters.
size_t | numOtherParams
| Number of extra parameters.

## Detailed Description

Parameters for Roku app launch command.

All fields except appID are optional.

The documentation for this struct was generated from the following file:

- rokuecp.h